Subject: [rohc] Regarding feedback mechanism in SIGCOMP

From: suman <[email-masked]>
Date: Wed, 14 Apr 2004 10:25:41 +0530

Hi all,

     RFC 3320 and 3321 describe the feedback mechanism which helps the peer endpoints implementing SIGCOMP to synchronize and get confirmation about the states. Its seems to me that the feedback can be sent only by piggybacking along with an application message.

   If endpoint 1 supports stateful compression for all outgoing messages,   and endpoint 2 supports decompression only for all incoming messages, (endpoint 2 does not support compression for outgoing messages), i dont find any mechanism for the endpoint 2 to send feedback about the states its has saved
to endpoint 1.

  Let me know if my understanding is right...

thanks
suman

---

From: "Hans Hannu (LU/EAB)" <[email-masked]>
Date: Wed, 14 Apr 2004 16:14:41 +0200

Hi,

According to RFC 3320, section 4.3 and 9.4.9, the supply of the compartment identifier grants the UDVM to forward the possible accompanying feedback data. Thus, if the application does not return a valid compartment identifier the requested/returned feedback will not be forward. 

Hence, when the application requires an application message to return a valid compartment identifier then I believe your understanding is right. 

BR
/Hans H

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of suman
Sent: den 14 april 2004 06:56
To: [email-masked]
Cc: Hans Hannu (LU/EAB)
Subject: [rohc] Regarding feedback mechanism in SIGCOMP

Hi all,

thanks
suman

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc